SEQ_READ(9)

NAME
seq_read - ->read method for sequential files.

SYNOPSIS

ssize_t seq_read (struct file * file, char __user * buf, size_t size, loff_t * ppos);

ARGUMENTS

file
    the file to read from

buf the buffer to read to

size
    the maximum number of bytes to read

ppos
    the current position in the file

DESCRIPTION

Ready-made ->f_op->read